<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

  <title>Bootstrap Components</title>
</head>
<body> 

  <!-- Navbar: https://getbootstrap.com/docs/4.6/components/navbar/  -->
<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    
    <a class="navbar-brand" href="#">Ada Lovelace</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
 
  <div class="collapse navbar-collapse " id="navbarNav">
    <ul class="navbar-nav ml-auto">

      <li class="nav-item active">
        <a class="nav-link" href="#">About Me<span class="sr-only">(current)</span></a>
      </li>

      <li class="nav-item">
        <a class="nav-link" href="#">Projects</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">Tools</a>
      </li>
        
    </ul>
  </div>
</nav>


<div class="container-fluid text-center">
    
    <!-- Side Navbar (Accordion) -->
    <!-- Accordion: https://getbootstrap.com/docs/4.6/components/collapse/#accordion-example -->
  <div class="row bg-warning">
      <!-- Side Navbar -->
      <!-- modifying size through containing it to a tag -->
    <div class=" card col-xl-2 d-none d-xl-block p-0">
      <div class="accordion" id="accordionExample">

        <!-- Collapsable Group 1 -->
        <div class="card">
          <div class="card-header" id="headingOne">
            <h2 class="mb-0">
            <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                  Services
            </button>
            </h2>
          </div>
          <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
            <div class="card-body">

                <!-- Collapsable link items -->
              <ul class="text-justify" style="list-style: none;">
                <li><a href="">Frontend Design</a></li>
                <li><a href="">Backend Server</a></li>
                <li><a href="">Full-Stack Development</a></li>
              </ul>

            </div>
          </div>
        </div>

          <!-- Collapsable Group 2 -->
        <div class="card">
          <div class="card-header" id="headingTwo">
            <h2 class="mb-0">
            <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                  Projects
            </button>
            </h2>
          </div>
          <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
            <div class="card-body">
                
                <!-- Collapsable link items -->
              <ul class="text-justify" style="list-style: none;">
                <li><a href="">HTML</a></li>
                <li><a href="">Bootstrap</a></li>
                <li><a href="">Node JS Server</a></li>
              </ul>

            </div>
          </div>
        </div>

          <!-- Collapsable Group 3 -->
        <div class="card">
          <div class="card-header" id="headingThree">
            <h2 class="mb-0">
            <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                  Tools
            </button>
            </h2>
          </div>
          <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
            <div class="card-body">
                <!-- Collapsable link items -->
              <ul class="text-justify" style="list-style: none;">
                <li><a href="">Core Tools</a></li>
                <li><a href="">Other Tools</a></li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Main Contents -->
    <!-- Let's include our side navbar and main contents to 1 row class -->
    <!-- Since we use col-xl-2 earlier we have remaining 10 columns for the contents -->
    <div class="col-xl-10 p-0">

        <!-- Let's create a profile section inside our parent for our main contents -->

        <!-- ADA LOVELACE -->


        <div class="container-fluid bg-dark text-light min-vh-100 p-3 p-md-5">

          <img class="mt-5 mt-md-0 rounded-circle" src="https://i.guim.co.uk/img/media/3656ae6ea2209d4561caf04fa9f172a519908ca3/0_28_2318_1391/master/2318.jpg?width=1200&height=1200&quality=85&auto=format&fit=crop&s=afcc355f47876bc495cdc3c902639bae" width="250">

          <h1>Ada Lovelace</h1>
          <h3>Full-Stack Developer</h3>

          <div class="row mt-5">
              <div class="offset-md-2 col-md-8">
                  <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                  </p>
              </div> <!-- END offset-md-2 col-md-8 -->
          </div> <!-- END row mt- -->

        <!-- Carousel inside the main section -->
        <!-- Carousel: https://getbootstrap.com/docs/4.6/components/carousel/ -->

        <!-- Carousel Container -->
        <div class="row d-none d-md-block mt-md-5">

          <div class="offset-xl-3 col-xl-6">

              <div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
                <ol class="carousel-indicators">
                  <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
                  <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
                  <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
                </ol>

                <div class="carousel-inner">

                  <div class="carousel-item active">
                    <img src="./images/cat.jpg" class="d-block w-100" alt="...">

                      <div class="carousel-caption d-none d-md-block">
                        <h5>First slide label</h5>
                        <p>Some representative placeholder content for the first slide.</p>
                      </div>

                  </div> <!-- Class carousel item CAT.jpeg END -->

                  <div class="carousel-item">
                  <img src="./images/dog1.jpg" class="d-block w-100" alt="...">

                    <div class="carousel-caption d-none d-md-block">
                      <h5>Second slide label</h5>
                      <p>Some representative placeholder content for the second slide.</p>
                    </div>

                  </div> <!-- Class carousel item DOG.jpeg END -->

                  <div class="carousel-item">
                    <img src="./images/dog2.jpg" class="d-block w-100" alt="...">

                      <div class="carousel-caption d-none d-md-block">
                        <h5>Third slide label</h5>
                        <p>Some representative placeholder content for the third slide.</p>
                      </div>

                  </div> <!-- END Class carousel item Dog2.jpeg -->

                </div> <!-- END Carousel Inner -->

                <button class="carousel-control-prev" type="button" data-target="#carouselExampleCaptions" data-slide="prev">
                  <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                  <span class="sr-only">Previous</span>
                </button>

                <button class="carousel-control-next" type="button" data-target="#carouselExampleCaptions" data-slide="next">
                  <span class="carousel-control-next-icon" aria-hidden="true"></span>
                  <span class="sr-only">Next</span>
                </button>

              </div> <!-- END Carousel Indicators -->

          </div> <!-- END offset-xl-3 col-xl-6 -->

          </div> <!-- END row d-none d-md-block mt-md-5 -->

        </div> <!-- END container-fluid bg-dark text-light min-vh-100 p-3 p-md-5 -->


<!-- ADA LOVELACE End -->
          

<!-- OTHER PROJECTS -->



        <div class="bg-secondary text-light min-vh-100 p-5">
          <h2 class="mb-3">Other Projects</h2>

            <!-- Cards  -->
          <div class="card-deck">

            <div class="card bg-dark text-light p-3">
              <img src="https://3.bp.blogspot.com/-7x5c_f1yzsQ/XHv9FZKHrEI/AAAAAAAADrE/4iGl9Lm6K2odX4SdWbU_RN6gZesx4IaGACEwYBhgL/s1600/html.jpg" class="card-img-top" alt="...">

              <div class="card-body">
                <h5 class="card-title">HTML</h5>
                <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                <a href="#" class="card-link">Link To Project</a>
              </div> <!-- END card-body HTML -->
            </div> <!-- END card bg-dark text-light p-3 -->

            <div class="card bg-dark text-light p-3">
              <img src="https://i.morioh.com/2019/12/17/f1ce6a0af5cb.jpg" class="card-img-top" alt="...">

              <div class="card-body">
                <h5 class="card-title">Bootstrap</h5>
                <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum..</p>
                <a href="#" class="card-link">Link To Project</a>
              </div> <!-- END card-body Bootstrap -->
            </div> <!-- END card bg-dark text-light p-3 -->

            <div class="card bg-dark text-light p-3">
              <img src="https://clever-solution.com/wp-content/uploads/2020/04/5625%D0%9C%D0%BE%D0%BD%D1%82%D0%B0%D0%B6%D0%BD%D0%B0%D1%8F-%D0%BE%D0%B1%D0%BB%D0%B0%D1%81%D1%82%D1%8C-1-1280x720.png" class="card-img-top" alt="...">

              <div class="card-body">
                <h5 class="card-title">Card title</h5>
                <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                <a href="#" class="card-link">Link To Project</a>
              </div> <!-- END card-body Card Title -->


            </div> <!-- END card bg-dark text-light p-3 -->

          </div> <!-- END Card-deck -->

        </div> <!-- END bg-secondary OTHER PROJECTS -->



<!-- CONTACT ME -->


      
  <div class="container-fluid bg-dark text-light min-vh-100 justify-content-md-center">

    <h2 class="pt-3">Contact Me</h2>

    <div>

          <div class="offset-md-2 offset-xl-4 col-sm-12 col-md-8 col-xl-4 text-justify justify-content-md-center">

    <form action="/action_page.php" class="py-4 bg-primary px-3">

            <div class="form-group">
              <label for="exampleInputEmail1">Name</label>
              <input type="email" class="form-control" id="exampleInputEmail1" placeholder="Your Name" aria-describedby="emailHelp">
            </div>
 
            <div class="form-group">
              <label for="exampleInputEmail1">Email address</label>
              <input type="email" class="form-control" id="exampleInputEmail1" placeholder="name@gmail.com"aria-describedby="emailHelp">
              <small id="emailHelp" class="form-text text-secondary">We'll never share your email with anyone else.</small>
            </div>
                
            <div class="form-group">
              <label for="exampleInputEmail1">Concerns</label>
                
              <select name="cars" class="custom-select mb-3">
                <option selected>Quotation</option>
                <option value="volvo">Appointment</option>
                <option value="fiat">Follow-up</option>
              </select>
            </div>
    
            <div class="form-group">
              <label for="exampleFormControlTextarea1">Message</label>
              <textarea class="form-control" id="exampleFormControlTextarea1" rows="5"></textarea>
            </div>

<!-- Button to Open the Modal -->
  <button type="button" class="btn btn-secondary" data-toggle="modal" data-target="#myModal">
    Send Message
  </button>


<!-- The Modal -->
  <div class="modal fade" id="myModal">
    <div class="modal-dialog">
      <div class="modal-content">
      
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title text-dark">Thank you for reaching out!</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        
        <!-- Modal body -->
        <div class="modal-body text-dark">
          Your message has been successfully sent.
        </div>
        
        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="button" class="btn btn-success" data-dismiss="modal">Close</button>
        </div>
        
      </div>
    </div>
  </div>


  </form>

</div>
</div>




  </div>










    </div> <!-- END col-xl-10 p-0 -->
        
<!-- Other projects -->



    




    </div> <!-- END row bg-warning -->
  </div> <!-- END container-fluid text-center -->



  <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

</body>
</html>



